Skip to main content
GET
List tags

Authorizations

X-API-Key
string
header
required

API key for authentication

Headers

X-Coval-Workspace-Id
string

Workspace that scopes this operation. When omitted, the organization's active default workspace is used when one can be resolved.

Required string length: 1 - 26

Query Parameters

page_size
integer
default:200

Maximum number of results per page

Required range: 1 <= x <= 200
page_token
string

Opaque pagination token from previous response

Case-insensitive substring of the tag name.

Maximum string length: 200
unused_only
boolean
default:false

Only tags with no live resource assignments in the workspace.

tag_id
string

Filter by exact tag ID within the workspace. Cannot be combined with page_token.

Required string length: 1 - 128
include_usage
boolean
default:false

Include counts of live resource assignments by type.

Response

Tags retrieved successfully

tags
object[]
required

List of tag resources

next_page_token
string | null

Opaque continuation token; null when there are no more tags.